{
  "name": "googlebusinessprofiletrigger",
  "display_name": "Google Business Profile Trigger",
  "description": "Fetches reviews from Google Business Profile and starts the workflow on specified polling intervals.",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "googleBusinessProfileOAuth2Api",
      "required": true
    },
    {
      "name": "event",
      "required": true
    },
    {
      "name": "account",
      "required": true
    },
    {
      "name": "location",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "event",
      "display_name": "Event",
      "kind": "options",
      "required": true,
      "default": "reviewAdded"
    },
    {
      "name": "account",
      "display_name": "Account",
      "kind": "resourceLocator",
      "required": true,
      "description": "The Google Business Profile account"
    },
    {
      "name": "location",
      "display_name": "Location",
      "kind": "resourceLocator",
      "required": true,
      "description": "The specific location or business associated with the account"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Google/BusinessProfile/GoogleBusinessProfileTrigger.node.ts"
}